%define releasename snapshot050221

Name:		mfstools
Version:	2.0
Release:	13.%{releasename}%{?dist}
Summary:	Utilities for TiVo drive upgrades
Group:		Applications/File
License:	GPL+
URL:		http://mfstools.sourceforge.net/
Source0:	http://download.sourceforge.net/mfstools/MFSTools-%{releasename}-src.tar.gz
Source1:	http://www.tyger.org/MFS/2.0/howto.html
Patch0:		mfstools-cvs20060914.patch
Patch1:		mfstools-fixllseek.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	zlib-devel

%description
MFS Tools is a set of utilities for TiVo drive upgrades. This includes MFS 
specific backup and restore, as well as MFS volume expansion and shrinking.

%prep
%setup -q -n MFSTools-%{releasename}
# There are some notable improvements in CVS
%patch0 -p1 -b .20060914
# Do not use the _syscall5 macro -- use syscall(2) instead
%patch1 -p1 -b .llseek

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp %{SOURCE1} .
mv $RPM_BUILD_ROOT%{_bindir}/backup $RPM_BUILD_ROOT%{_bindir}/mfsbackup
mv $RPM_BUILD_ROOT%{_bindir}/restore $RPM_BUILD_ROOT%{_bindir}/mfsrestore

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README ChangeLog AUTHORS howto.html
%{_bindir}/*

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0-13.snapshot050221
- Autorebuild for GCC 4.3

* Fri Aug 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.0-12.snapshot050221
- rebuild for license and BuildID

* Thu Sep 14 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.0-11.snapshot050221
- Do not use the _syscall5 macro -- use syscall(2) instead

* Thu Sep 14 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.0-10.snapshot050221
- merge with CVS

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.0-9.snapshot050221
- bump for FC-5

* Wed Jun  1 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.0-5.snapshot050221
- use -D_GNU_SOURCE to fix x86_64 compile

* Mon May 23 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.0-3.snapshot050221
- conform to PackageNamingGuidelines

* Thu May 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.0-1.snapshot050221.2
- Add BuildRequires: zlib-devel
- Cleanup handling of howto.html
- Use tabs consistently

* Wed May 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.0-1.snapshot050221.1
- Initial package

